import 'package:json_annotation/json_annotation.dart';

part 'batch_item_update_model.g.dart';

@JsonSerializable(explicitToJson: true)
class GroupBatchItemUpdateRequest {
  final String? id;
  final double? amount;
  final String? recipientName;
  final String? recipientPhone;
  final String? billClientId;
  final String? billName;
  final String? billProductName;
  final String? providerImage;
  final String? providerLabel;

  const GroupBatchItemUpdateRequest({
    this.id,
    this.amount,
    this.recipientName,
    this.recipientPhone,
    this.billClientId,
    this.billName,
    this.billProductName,
    this.providerImage,
    this.providerLabel,
  });

  factory GroupBatchItemUpdateRequest.fromJson(Map<String, dynamic> json) =>
      _$GroupBatchItemUpdateRequestFromJson(json);

  Map<String, dynamic> toJson() => _$GroupBatchItemUpdateRequestToJson(this);
}

@JsonSerializable(explicitToJson: true)
class GroupBatchItemUpdateList {
  final List<GroupBatchItemUpdateRequest>? items;
  final String? workspaceId;

  const GroupBatchItemUpdateList({this.items, this.workspaceId});

  factory GroupBatchItemUpdateList.fromJson(Map<String, dynamic> json) =>
      _$GroupBatchItemUpdateListFromJson(json);

  Map<String, dynamic> toJson() => _$GroupBatchItemUpdateListToJson(this);
}
